#!/bin/bash
function isits() {
local rc="n"
b=$1
itsbrds="10 13 40 43 16 20 25 30 26"
for n in $itsbrds ;do
  #echo isits: $n
  # if [ $n -eq $1 ] ;then   -> [: too many arguments
  #if [ $n = $1 ] ;then       -> [: too many arguments
  if [ "$n" = "$b" ] ;then
     rc="y"
     break
  fi
done
echo $rc
}
if [ $# -lt 2 ] ;then
  cat - <<-EOF

loadcl.sh board version [r]
loadcl.sh board r
use r (3rd or 2nd parameter) to reboot the board
e.g.
loadcl 61 a_01    -load FM in ctp board
loadcl 40 1c_05   -load FM in LTU board (ltu_logic_itsmft)
loadcl 27 r       -fpga from FM
loadcl 27 1c_05 r -load FM FM in LTU board (ltu_logic) and boot fpga from FM

loadcl 61 d_07 c  -check FM against d_07 binary file

Note: boards $itsbrds loads with LTU_logic_itsmft

EOF
  exit 8
fi
#if [ $1 = 'l' ] ;then
board=$1
ver=$2
bootfpga="n"   # n y(reboot) or c(check)
if [ "$3" = "r" ] ;then
  bootfpga="y"
elif [ "$3" = "c" ] ;then
  bootfpga="c"
fi
#isits $board
its=`isits $board`
#echo "its:$its"
#its=$(isits $board)   -> also ok
if [ $1 -ge 61 ] ;then
  logic="ctp_logic"
  lname=${logic}_v${ver}_f60_2e
elif [ "$its" = "y" ] ;then
  logic="ltu_logic_itsmft"
  lname=${logic}_v${ver}
else
  logic="ltu_logic"
  lname=${logic}_v${ver}
fi
if [ "$ver" = "r" ] ;then
    echo ctp3-load -r -b $board -o
    ctp3-load -r -b $board -o
elif [ -e $CTP3_ROOT/boards/cfg/$lname.bin ] ;then
  if [ "$bootfpga" = "c" ] ;then
    echo ctp3-load -c $lname -b $board -o
    ctp3-load -c $lname.bin -b $board -o
  else
    echo ctp3-load -l $lname -b $board -o
    ctp3-load -l $lname.bin -b $board -o
  fi
  if [ "$bootfpga" = "y" ] ;then
    echo ctp3-load -r -b $board -o
    ctp3-load -r -b $board -o
  fi
else
  echo "$lname.bin ?"
  ls -l $CTP3_ROOT/boards/cfg/$lname.bin
fi

